(() => {
	if (document.getElementById("awmt-reminder")) return false;

	const reminder = document.createElement("div");
	reminder.setAttribute("id", "awmt-reminder");

	const reminderInner = document.createElement("div");
	reminderInner.className = "awmt-reminder-inner";

	const reminderPlaceholder = document.createElement("div");
	reminderPlaceholder.className = "awmt-reminder-placeholder";

	const reminderPlaceholderImage = document.createElement("img");
	reminderPlaceholderImage.src = chrome.runtime.getURL("icons/plus-brand.svg");
	reminderPlaceholderImage.className = "awmt-reminder-placeholder-image";

	const reminderIcon = document.createElement("div");
	reminderIcon.className = "awmt-reminder-icon";

	const reminderImage = document.createElement("img");
	reminderImage.src = chrome.runtime.getURL("icons/logo.svg");
	reminderImage.className = "awmt-reminder-image";

	const reminderText = document.createElement("div");
	reminderText.className = "awmt-reminder-text";

	reminderPlaceholder.appendChild(reminderPlaceholderImage);
	reminderIcon.appendChild(reminderImage);
	reminderInner.appendChild(reminderText);

	reminder.appendChild(reminderPlaceholder);
	reminder.appendChild(reminderIcon);
	reminder.appendChild(reminderInner);

	document.body.appendChild(reminder);

	let hideTimer;

	window.setTimeout(() => {
		reminderText.innerText = "Save website to my mind";
		showReminder();
	}, 4000);

	reminder.addEventListener("click", function() {
		const location = window.location.href;
		const config = { savePage: location };

		chrome.runtime.sendMessage(config);
		hideReminder();
	});

	function showReminder() {
		reminder.removeAttribute("closing");

		if (hideTimer) {
			window.clearTimeout(hideTimer);
		}

		if (reminder.getAttribute("open") === "true") {
			return;
		}

		reminder.setAttribute("open", true);
	}

	function hideReminder(delay = 300) {
		if (reminder.getAttribute("closing") || reminder.getAttribute("open") === "false") {
			return;
		}

		reminder.setAttribute("closing", true);

		hideTimer = window.setTimeout(function() {
			reminder.removeAttribute("closing");
			reminder.setAttribute("open", false);
		}, delay);
	}
})();
