(() => {
	const meta = document.querySelectorAll('meta');
	const url = window.location.href;
	const data = {};
	const html = document.documentElement.innerHTML;

	meta.forEach(item => {
		const property = item.getAttribute('property');
		const content = item.getAttribute('content');

		if (property && content && property.startsWith('og:')) {
			data[property] = content;
		}
	});

	chrome.runtime.sendMessage({
		savePage: url,
		data: {
			pageMeta: data,
			pageContent: html,
		}
	});
})();
